#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>

main(int argc, char *argv[])
{
	FILE *fp;
	char pBuffer[1000001];
	long i, dataSizeMB = 0;
	long duration;
	char pFileName[100];

	struct timeval start, end;

	if(argc != 2)
	{
		printf("\nUse format:\n\ncreate 100 (MB)\n\n");
		exit(0);
	}

	dataSizeMB = atoi(argv[1]);
	sprintf(pFileName, "send%dM.dat", dataSizeMB);
	gettimeofday(&start, NULL);
	fp = fopen64(pFileName, "w");
	for(i = 0; i < 1000001; i ++)
		pBuffer[i] = 'A';	
	for(i = 0; i < dataSizeMB; i ++)
	{
		fwrite(pBuffer, 1, 1000000,fp);
	}
	fclose(fp);
	gettimeofday(&end, NULL);
	duration = (end.tv_sec-start.tv_sec)*1000000 + (end.tv_usec-start.tv_usec);
	printf("\nWriting %ld MBytes in %lf seconds\n", dataSizeMB, duration/1000000.0);
	printf("\nThroughput for file writing: %lf Mbps\n\n", (double)dataSizeMB*1000000.0*8.0/(double)duration);

	/*gettimeofday(&start, NULL);
	system("dd if=/dev/zero of=/tmp/testfile bs=1MB count=100");
	gettimeofday(&end, NULL);
	duration = (end.tv_sec-start.tv_sec)*1000000 + (end.tv_usec-start.tv_usec);
	printf("\nThroughput for dd writing: % Mbps\n\n", 500000000*8.0/duration);
	*/
}


