#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <string.h>

#define BUFFSIZE 12500 //buff in kb 12500 max

main(int argc, char *argv[])
{
	FILE *fp;
     int  kbSize = 1000;
	char pBuffer[BUFFSIZE*kbSize + 1];
	long i, dataSizeMB = 0;
	long duration;
	char pFileName[100];
     int  loopCount;
     long numBytesRead = 0;
     long totalBytesRead = 0;
	struct timeval start, end;

	if(argc != 2)
	{
		printf("\nUse format:\n\nread \"send100M.dat\" ");
          printf("\nSetting default: \"send100M.dat\" \n\n");     
		strcpy(pFileName, "send100M.dat");
	}
     else
     {
          strcpy(pFileName, argv[1]);
     }

     
	gettimeofday(&start, NULL);
	fp = fopen(pFileName, "r");
	
	while((numBytesRead = fread(pBuffer, 1, BUFFSIZE*kbSize,fp)) != 0)
	{
		totalBytesRead += numBytesRead;
	}
	fclose(fp);
	gettimeofday(&end, NULL);
	duration = (end.tv_sec-start.tv_sec)*1000000 + (end.tv_usec-start.tv_usec);
	printf("\nRead %5.1lf MBytes in %lf seconds\n", (double)totalBytesRead/1000000.0, duration/1000000.0);
	printf("\nThroughput for file reading: %8.5lf Mbps\n", (double)totalBytesRead*8.0/(double)duration);
}


