//Developer:	Qishi Wu
//Date:			June 2004
//Place:		CSMD @ ORNL

#ifndef _IOUTIL_H_
#define _IOUTIL_H_

#include <sys/socket.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <string.h>
#include <errno.h>

#ifdef UNIX
#define socklen_t int
#endif

#define UINT64		__uint64_t
#define INT64		__int64_t

//#define UINT64		u_int64_t
//#define INT64		int64_t

#define MAXLINELEN	1000000
#define ONEMILLION	1000000

ssize_t writen(int fd, const void *vptr, size_t n);
ssize_t readn(int fd, void *vptr, size_t n);
ssize_t ReadLine(register int fd, register char *vptr, register int maxlen);

ssize_t MyRecvFrom(int s, void *buf, size_t len, int flags, struct sockaddr *from, socklen_t *fromlen);

UINT64 get_usec_since(struct timeval *old_time);
void usleep_that_works(UINT64 usec);

#endif

